﻿@model IEnumerable<AirlinesWeb.Models.Airport>


@{
    ViewData["Title"] = "View";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<main class="content">
    <button id="scrollToTopBtn">↑</button>
    <div class="title">
        <a asp-area="" asp-controller="Home" asp-action="Index"><img src="~/assets/left sidebar.png" alt=""></a>
        <h2>Airports</h2>
    </div>
    <hr>
    <div class="container">
        <form asp-controller="Airport" asp-action="Search" id="searchForm">
            <input type="text" id="searchInput" name="searchText" placeholder="Search...">
            <select id="filterDropdown" name="filterCriteria">
                <option value="AirportName">AirportName</option>
                <option value="Country">Country</option>
                <option value="City">City</option>
                <option value="Code">Code</option>
                <option value="RunwaysCount">RunwaysCount</option>
                <option value="Founded">Founded</option>
            </select>
            <button id="searchButton" type="submit">Search</button>
        </form>
    </div>
    <div class="table fade-in">
        <table>
            <thead>
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.AirportName)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Country)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.City)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Code)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.RunwaysCount)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Founded)
                    </th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.AirportName)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Country)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.City)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Code)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.RunwaysCount)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Founded)
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
    <div class="showFormButton">
        <button id="showMoreButton">Show more</button>
        <button id="showFormButton">Show Form</button>
    </div>
    <div class="form fade-in" id="formSection">
        <form asp-controller="Airport" asp-action="Create" id="flightForm" method="post">
            <fieldset>
                <legend>Add New Airport</legend>

                <label for="AirportName">Name:</label>
                <input type="text" id="name" name="AirportName" required />
                <span id="nameError" class="error"></span>

                <label for="Country">Country:</label>
                <input type="text" id="country" name="Country" required />
                <span id="countryError" class="error"></span>

                <label for="City">City:</label>
                <input type="text" id="city" name="City" required />
                <span id="cityError" class="error"></span>

                <label for="Code">Code:</label>
                <input type="text" id="code" name="Code" required />
                <span id="codeError" class="error"></span>

                <label for="RunwaysCount">Runways count:</label>
                <input type="number" id="runways_count" name="RunwaysCount" required />
                <span id="runwaysCountError" class="error"></span>

                <label for="Founded">Founded:</label>
                <input type="datetime-local" id="founded" name="Founded" required />
                <span id="foundedError" class="error"></span>

                <button type="submit" id="submitButton" disabled >Submit</button>
            </fieldset>
        </form>
    </div>
    <div style="height: 2000px;">Scroll down to see the button in action!</div>
</main>
<script defer src="~/js/validation.js"></script>
<script defer src="~/js/animation.js"></script>